#ifndef TMDisplayingHitsPerEventAll_H
#define TMDisplayingHitsPerEventAll_H

#include "TMDisplaying.h"

class TGStatusBar;

class TMDisplayingHitsPerEventAll : public TMDisplaying {

 public:
  TMDisplayingHitsPerEventAll(const Char_t *frameName, const TGWindow *p, UInt_t width, UInt_t height, TMHistogramming *hist, UInt_t id, UInt_t plotNr, UInt_t cloneId);
  virtual ~TMDisplayingHitsPerEventAll();

  virtual void   Update();
  virtual void   CreateStatusFrame();

 protected:

  TGStatusBar *fTotalStatus;

  ClassDef(TMDisplayingHitsPerEventAll, 0)
};

#endif
